> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer

> Get Customer



## OpenAPI

````yaml get /customers/{customerId}
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /customers/{customerId}:
    parameters:
      - name: customerId
        in: path
        required: true
        description: >-
          The customer's unique ID. Returned in the `customer_id` field of the
          Create Customer (`POST /customers/add`) response. To retrieve a list
          of all customers and their IDs, use the Get Customers (`GET
          /customers`) endpoint.
        schema:
          type: string
    get:
      tags:
        - Customers
      summary: Get Customer
      description: Get Customer
      operationId: getCustomer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchant_key:
                  type: string
                  description: >-
                    The merchant's unique key. Returned in the `merchant_key`
                    field of the get merchants by client call.
                  example: '{{merchant_key}}'
            examples:
              Get Customer:
                value:
                  merchant_key: '{{merchant_key}}'
      responses:
        '200':
          description: Get Customer
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '175'
            Date:
              schema:
                type: string
                example: Wed, 21 Aug 2024 16:34:08 GMT
            ETag:
              schema:
                type: string
                example: W/"af-c9r+5eQgZmeDihdqyHqF7SxYGE4"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      customer_email:
                        type: string
                        example: johndoe@fractalpay.com
                      customer_id:
                        type: string
                        example: c_0c5f67e242
                      customer_phone:
                        type: string
                        example: '8554147444'
                  message:
                    type: string
                    example: Customer details
                  result:
                    type: boolean
                    example: true
              examples:
                Get Customer:
                  value:
                    data:
                      customer_email: johndoe@fractalpay.com
                      customer_id: c_0c5f67e242
                      customer_phone: '8554147444'
                    message: Customer details
                    result: true
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````